Index: install.pri
===================================================================
--- install.pri	(revision 7fd1756f1e55651d4a8f4d0a0f18e21aab509fce)
+++ install.pri	(revision d45b48efe9c239cbec0f29aa15ef8a097b01f832)
@@ -94,4 +94,6 @@
 # Symbian
 symbian {
+	TARGET = TSPSG$${D}
+
 	# qmake for Symbian (as of Qt 4.6.2) has a bug: file masks doesn't work, so we need to specify all files manually
 	share.sources = $$share.files
@@ -101,18 +103,45 @@
 #	l10n.path = l10n
 	docs.sources = $$docs.files
-	docs.pkg_prerules = \
-		"\"README.txt\" - \"\", FILETEXT, TEXTCONTINUE" \
-		"\"COPYING\" - \"\", FILETEXT, TEXTEXIT"
+#	docs.pkg_prerules = \
+#		"\"README.txt\" - \"\", FILETEXT, TEXTCONTINUE" \
+#		"\"COPYING\" - \"\", FILETEXT, TEXTEXIT"
 	DEPLOYMENT += share docs # l10n
-#	DEPLOYMENT_PLUGIN += qjpeg qtiff qsvgicon
+#	DEPLOYMENT_PLUGIN += qjpeg qtiff # qsvgicon
 
 	ICON = resources/tspsg.svg
+	TARGET.EPOCHEAPSIZE = 0x20000 0x1100000
+	# OVI Publish - 0x2003AEFB, Self-signed - 0xA89FD7A3
+	TARGET.UID3 = 0xA89FD7A3
+#	TARGET.UID3 = 0x2003AEFB
 
-	appinfo = \
-		"$$LITERAL_HASH{\"TSPSG\"},(0xEb9dce0e),$$BUILD_VERSION_MAJOR,$$BUILD_VERSION_MINOR,$$BUILD_RELEASE"
-	vendorinfo = \
-		"%{\"l-homes.org\"}" \
-		":\"l-homes.org\""
-	default_deployment.pkg_prerules = appinfo vendorinfo
-	DEPLOYMENT.installer_header = "$${LITERAL_HASH}{\"TSPSG Installer\"},(0xA000D7CE),1,0,0"
+	languages="&EN,RU,UK"
+	package_header = "$$LITERAL_HASH{" \
+		" \"$$QMAKE_TARGET_PRODUCT\"," \
+		" \"$$QMAKE_TARGET_PRODUCT\"," \
+		" \"$$QMAKE_TARGET_PRODUCT\"" \
+		"},($$TARGET.UID3),$$BUILD_VERSION_MAJOR,$${BUILD_VERSION_MINOR}$${BUILD_RELEASE},$$REVISION"
+	vendor = \
+		"%{\"Oleksii Serdiuk\",\"Алексей Сердюк\",\"Олексій Сердюк\"}" \
+		":\"Oleksii Serdiuk\""
+#	logo = \
+#		"=\"resources/tspsg.png\",\"image/png\",\"\""
+	dependencies = \
+		"; Depend on Qt $${QT_MAJOR_VERSION}.$${QT_MINOR_VERSION}.$${QT_PATCH_VERSION}" \
+		"(0x2001E61C),$${QT_MAJOR_VERSION},$${QT_MINOR_VERSION},$${QT_PATCH_VERSION},{\"Qt\",\"Qt\",\"Qt\"}" \
+		"; Declare the supported platforms" \
+		"; Symbian^1" \
+		"[0x1028315F],0,0,0,{\"S60ProductID\",\"S60ProductID\",\"S60ProductID\"}" \
+		"; Symbian^3" \
+		"[0x20022E6D],0,0,0,{\"S60ProductID\",\"S60ProductID\",\"S60ProductID\"}"
+
+	default_deployment.pkg_prerules -= pkg_platform_dependencies pkg_depends_qt
+	default_deployment.pkg_prerules += languages package_header vendor dependencies
+#	default_deployment.pkg_prerules += languages package_header vendor logo dependencies
+	# OVI Publish - 0x2002CCCF, Self-signed - 0xA000D7CE
+	DEPLOYMENT.installer_header = "$${LITERAL_HASH}{" \
+		"\"$$QMAKE_TARGET_PRODUCT Installer\"," \
+		"\"Установщик $$QMAKE_TARGET_PRODUCT\"," \
+		"\"Встановлювач $$QMAKE_TARGET_PRODUCT\"" \
+		"},(0xA000D7CE),$$BUILD_VERSION_MAJOR,$${BUILD_VERSION_MINOR}$${BUILD_RELEASE},$$REVISION"
+#		"},(0x2002CCCF),$$BUILD_VERSION_MAJOR,$${BUILD_VERSION_MINOR}$${BUILD_RELEASE},$$REVISION"
 }
Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision 7fd1756f1e55651d4a8f4d0a0f18e21aab509fce)
+++ src/defaults.h	(revision d45b48efe9c239cbec0f29aa15ef8a097b01f832)
@@ -92,5 +92,5 @@
  */
 #ifdef Q_WS_S60
-	#define DEF_FONT_SIZE 8
+    #define DEF_FONT_SIZE 6
 #else
 	#define DEF_FONT_SIZE 10
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision 7fd1756f1e55651d4a8f4d0a0f18e21aab509fce)
+++ src/main.cpp	(revision d45b48efe9c239cbec0f29aa15ef8a097b01f832)
@@ -41,4 +41,9 @@
 int main(int argc, char *argv[])
 {
+#ifdef Q_WS_S60
+	// No enough memory for solution graph generation with tasks
+	// of 20 and more cities if we use non-raster graphics system.
+	QApplication::setGraphicsSystem("raster");
+#endif
 QApplication app(argc, argv);
 	app.setOverrideCursor(QCursor(Qt::WaitCursor));
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 7fd1756f1e55651d4a8f4d0a0f18e21aab509fce)
+++ src/mainwindow.cpp	(revision d45b48efe9c239cbec0f29aa15ef8a097b01f832)
@@ -622,5 +622,7 @@
 #endif // Q_WS_WIN32
 
+#ifndef HANDHELD
 	dlg->resize(450, 350);
+#endif
 	QApplication::restoreOverrideCursor();
 
@@ -1145,5 +1147,5 @@
 		}
 		if (step->price != INFINITY) {
-			pic.drawText(QRectF(x - r, y - r, r * 2, r * 2), Qt::AlignCenter, isInteger(step->price) ?  QString("\n%1").arg(step->price) : QString("\n%1").arg(step->price, 0, 'f', settings->value("Task/FractionalAccuracy", DEF_FRACTIONAL_ACCURACY).toInt()));
+			pic.drawText(QRectF(x - r, y - r, r * 2, r * 2), Qt::AlignCenter, isInteger(step->price) ? QString("\n%1").arg(step->price) : QString("\n%1").arg(step->price, 0, 'f', settings->value("Task/FractionalAccuracy", DEF_FRACTIONAL_ACCURACY).toInt()));
 		} else {
 			pic.drawText(QRectF(x - r, y - r, r * 2, r * 2), Qt::AlignCenter, "\n"INFSTR);
@@ -1589,5 +1591,9 @@
 	//! \hack HACK: A little hack for toolbar icons to have a sane size.
 #if defined(HANDHELD) && !defined(Q_WS_MAEMO_5)
+#ifdef Q_WS_S60
+	toolBarMain->setIconSize(QSize(logicalDpiX() / 5, logicalDpiY() / 5));
+#else
 	toolBarMain->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
+#endif
 #endif // HANDHELD
 QToolButton *tb = static_cast<QToolButton *>(toolBarMain->widgetForAction(actionFileSave));
Index: src/tspsolver.h
===================================================================
--- src/tspsolver.h	(revision 7fd1756f1e55651d4a8f4d0a0f18e21aab509fce)
+++ src/tspsolver.h	(revision d45b48efe9c239cbec0f29aa15ef8a097b01f832)
@@ -36,11 +36,9 @@
  * \brief This value means infinity :-)
  *
- *  Some libraries already have \c INFINITY defined.
- *  We need to redefine it for the \c INFINITY to always have the same value.
+ *  Define \c INFINITY if it's not already defined.
  */
-#ifdef INFINITY
-	#undef INFINITY
+#ifndef INFINITY
+	#define INFINITY std::numeric_limits<double>::infinity()
 #endif
-#define INFINITY std::numeric_limits<double>::infinity()
 
 /*!
Index: tspsg.pro
===================================================================
--- tspsg.pro	(revision 7fd1756f1e55651d4a8f4d0a0f18e21aab509fce)
+++ tspsg.pro	(revision d45b48efe9c239cbec0f29aa15ef8a097b01f832)
@@ -64,5 +64,5 @@
 	PRL = $$[QT_INSTALL_LIBS] QtCore.framework QtCore.prl
 } else:symbian {
-	PRL = $$[QT_INSTALL_LIBS] QtCore.prl
+#	PRL = $$[QT_INSTALL_LIBS] QtCore.prl
 } else:unix {
 	PRL = $$[QT_INSTALL_LIBS] libQtCore.prl
@@ -70,9 +70,11 @@
 	PRL = $$[QT_INSTALL_LIBS] QtCore.prl
 }
-include($$join(PRL, "/"))
-contains(QMAKE_PRL_CONFIG, static) {
-	# We "embed" SVG icon support on static build
-	DEFINES += STATIC_BUILD
-#	!nosvg:QTPLUGIN += qsvgicon
+!isEmpty(PRL) {
+	include($$join(PRL, "/"))
+	contains(QMAKE_PRL_CONFIG, static) {
+		# We "embed" SVG icon support on static build
+		DEFINES += STATIC_BUILD
+#		!nosvg:QTPLUGIN += qsvgicon
+	}
 }
 
